<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: contact_info_panel_admin.php
| Author: jikaka
| Site: http://www.rusfusion.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
require_once INCLUDES."bbcode_include.php";

if (!checkrights("CIP")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."contact_info_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."contact_info_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."contact_info_panel/locale/English.php";
}

include INFUSIONS."contact_info_panel/infusion_db.php";

$msg_msg = "";

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

$cip_settings = dbarray(dbquery("SELECT * FROM ".DB_CONTACT_INFO));
$error = 0;

if (isset($_POST['savesettings'])) {
	$result = dbquery("UPDATE ".DB_CONTACT_INFO." SET
			  cip_enable='".(isNum($_POST['cip_enable']) ? $_POST['cip_enable'] : "0")."',
			  msg_msg='".addslash(descript($_POST['msg_msg']))."'");
	
	if (!$result) { $error = 1; }
	redirect(FUSION_SELF.$aidlink."&error=".$error);
}
		
opentable($locale['cip_title']);
echo"<div align='center'><div class='admin-message'>".$locale['cip001']."</div></div>\n";
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='80%' class='center'>\n<tr>\n";
echo "<td width='30%' class='tbl'align='left'>".$locale['cip002']."</td>\n";
echo "<td width='60%' class='tbl'><select name='cip_enable' class='textbox'>\n";
echo "<option value='1'".($cip_settings['cip_enable'] == "1" ? " selected='selected'" : "").">".$locale['cip003']."</option>\n";
echo "<option value='0'".($cip_settings['cip_enable'] == "0" ? " selected='selected'" : "").">".$locale['cip004']."</option>\n";
echo "</select></td></tr>\n";
echo "<tr><td class='tbl' align='left' width='30%'>".$locale['cip005']."</td>\n";
echo"<td class='tbl'><textarea rows='12' name='msg_msg' class='textbox' style='width:400px'>".stripslashes($cip_settings['msg_msg'])."</textarea><br />\n";
echo display_bbcodes("340px", "msg_msg", "settingsform")."\n";
echo "</td></tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='savesettings' value='".$locale['cip007']."' class='button' />\n";
echo "</td></tr>\n";
echo "</table>\n";
echo "</form>\n";
closetable();

opentable($locale['cip011']);
echo"<table class='tbl-border' width='100%' cellspacing='1' cellpadding='0'><tr>\n";
echo"<td class='tbl1'>".nl2br(parseubb(parsesmileys($cip_settings['msg_msg'])))."</td>\n";
echo"</tr></table>\n";
closetable();

opentable($locale['copyright_title']);
// Please do not remove copyright info 
include INFUSIONS."contact_info_panel/includes/copyright.php";
echo show_cip_copyright();
// End copyright info
closetable();
	
require_once THEMES."templates/footer.php";
?>