<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: jikaka
| Site: http://www.rusfusion.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."contact_info_panel/infusion_db.php";

if (file_exists(INFUSIONS."contact_info_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."contact_info_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."contact_info_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['cip_title'];
$inf_description = $locale['cip_desc'];
$inf_version = "1.0";
$inf_developer = "jikaka";
$inf_email = "jikaka7@gmail.com";
$inf_weburl = "http://www.rusfusion.ru";

$inf_folder = "contact_info_panel";

$inf_newtable[1] = DB_CONTACT_INFO." (
cip_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
msg_msg TEXT NOT NULL,
PRIMARY KEY (cip_enable)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_CONTACT_INFO." (cip_enable, msg_msg) VALUES('0', '".$locale['cip006']."')";
$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['cip_title']."', panel_filename='".$inf_folder."', panel_content='', panel_side=2, panel_order='1', panel_type='file', panel_access='101', panel_display='1', panel_status='1'";
$inf_droptable[1] = DB_CONTACT_INFO;
$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='contact_info_panel'";

$inf_adminpanel[1] = array(
	"title" => $locale['cip_title'],
	"image" => "contact_info_panel.gif",
	"panel" => "contact_info_panel_admin.php",
	"rights" => "CIP"
);

?>